---
displayed_sidebar: workflowsSidebar
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# WorkflowData

 **WorkflowData**: `T` extends `object` ? &#123; [Key in keyof T]: WorkflowData&#60;T[Key]&#62; &#125; : [WorkflowDataProperties](workflows.WorkflowDataProperties.mdx)&#60;T&#62; & [WorkflowDataProperties](workflows.WorkflowDataProperties.mdx)&#60;T&#62;

This type is used to encapsulate the input or output type of all utils.

## Type Parameters

<ParameterTypes parameters={[
  {
    "name": "T",
    "type": "`object`",
    "description": "The type of a step's input or result.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
